export default {
  props: {
    continueAction: {
      type: Function,
      required: false,
      default() {
        return () => {}
      },
    },
    continueText: {
      type: String,
      required: true,
    },
    continueDisabled: {
      type: Boolean,
      default() {
        return false
      },
    },
    showContinueButton: {
      type: Boolean,
      default() {
        return true
      },
    },
    showNoteForFocPwpItems: {
      type: Boolean,
      default() {
        return false
      },
    },
    showItemCv: {
      required: true,
      default() {
        return false
      },
    },
    showEwallet: {
      type: Boolean,
      default() {
        return false
      },
    },
    showItemImage: {
      type: Boolean,
      default() {
        return true
      },
    },
    showPromoCode: {
      type: Boolean,
      default: false,
    },
    orderItem: {
      type: Array,
      required: true,
    },
    currencySymbol: {
      type: String,
      default() {
        return this.currency
      },
    },
    summaryCount: {
      type: Array,
      required: true,
    },
    summaryAmount: {
      type: Array,
      required: true,
    },
    ewalletAmount: {
      type: Number,
      default() {
        return 0
      },
    },
    grandTotal: {
      type: [Number, String],
      required: true,
    },
    promoCode: {
      type: String,
      default: '',
    },
    applyPromoCode: {
      type: Function,
      required: false,
    },
    showItemsMobile: {
      type: Boolean,
      default: true,
    },
    payCycle: { type: String, default: '' },
    summaryRedeem: { type: Array, default: () => [] },
  },
}
